X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

fennec 4.0b6pre installs but immediately closes giving this message on X10 mini pro 2.1 "fennec does not support this device and you may experince problems."

Posted

Fennec 4.0b6pre (arm6 nightly build) installs but immediately closes giving this message on X10 mini pro 2.1 "Fennec does not support this device and you may experience problems." and two option "continue" & "quit" but closes before clicking any button immediately.

Additional System Details

Application

  • User Agent:

More Information

Gryllida 76 solutions 892 answers

Helpful Reply

https://wiki.mozilla.org/Mobile/Platforms/Android#System_Requirements


Your device (I assume it's `Sony Ericsson Xperia X10 Mini`) is not compatible with Fennec ARMv7-optimized releases, but might be able to run the experimental ARMv6 nightly builds.

Question owner

OK! as i've said already in my post above that I'm Using experimental ARMv6 nightly build and i've downloaded it from the same link you've given. Thanks anyways.

Matt Brubeck 147 solutions 1390 answers

Helpful Reply

Sorry, the crash after startup is a known problem with the ARMv6 builds.

The "does not support this device" message is displayed the first time Firefox or Fennec runs on any phone with 256 MB of RAM or less.

Question owner

Does this mean that Firefox won't run on X10 mini pro.

Matt Brubeck 147 solutions 1390 answers

Yes, I'm afraid that the supported version will not install on that device, and the unsupported ARMv6 version is seriously broken. Sorry. :(